HACKPORT(1)

NAME
hackport - Version 0.4

SYNOPSIS
hackport COMMAND [FLAGS]
hackport [GLOBAL FLAGS]

DESCRIPTION
hackport -- Create Ebuilds from Cabal packages

  Global flags:

-h --help
    Show help text

-V --version
    Print version information

--numeric-version
    Print just the version number

-p --overlay-path=PATH Override search path list where .hackport/ lives
    (default list: ['.', paludis-ovls or emerge-ovls])

--portage-path=PATH Override path to your portage tree

  Commands:

list
    List packages

make-ebuild
    Make an ebuild from a .cabal file

status
    Show status

diff
    Run diff

update
    Update the local cache

merge
    Make an ebuild out of hackage package

distromap
    Build a distromap file

help
    Help about commands.

TODO: this is the commandDescription for globalCommand

EXAMPLES
• Generate ebuild category/foo for foo.cabal into overlay /path/to/overlay:
    $> hackport -p /path/to/overlay make-ebuild category foo.cabal

SEE ALSO
The full documentation for hackport is maintained as a Texinfo manual. If the info and hackport programs are properly installed at your site, the command

    info hackport

should give you access to the complete manual.